SSL/TLS policy management service3 matching interfaces
Update a policy
updateSSLPolicy
POST
/SSLPolicyService/updateSSLPolicy- Definition file
service_ssl_policy.proto- Available roles
- AdministratorUser
Original definition
rpc updateSSLPolicy (UpdateSSLPolicyRequest) returns (RPCSuccess);Request message
UpdateSSLPolicyRequestUpdate a policy
Request message · Field definitions
message UpdateSSLPolicyRequest {
int64 sslPolicyId = 1; // Policy ID
bool http2Enabled = 2; // Optional: whether HTTP/2 is enabled
bool http3Enabled = 11; // Optional: whether HTTP/3 is enabled when its requirements are met
string minVersion = 3; // Minimum supported SSL version: SSL 3.0, TLS 1.0, TLS 1.1, TLS 1.2 or TLS 1.3
bytes sslCertsJSON = 4; // Associated certificate information @link json:ssl_cert_refs
bytes hstsJSON = 5; // Optional: HSTS configuration @link json:hsts
int32 clientAuthType = 6; // Optional: client certificate verification mode: 0 no certificate, 1 request a client certificate, 2 require any client certificate, 3 verify a certificate if provided, 4 require and verify a client certificate
bytes clientCACertsJSON = 7; // Optional: CA certificate content
repeated string cipherSuites = 8; // Optional: custom cipher suites
bool cipherSuitesIsOn = 9; // Optional: whether custom cipher suites are enabled
bool ocspIsOn = 10; // Optional: whether OCSP is enabled
}Response message
RPCSuccessOperation successful
Response message · Field definitions
message RPCSuccess {
}